Bug 200864 - [MAINTAINER] x11-fonts/fira: Update to 4.103; fix `make extract` on FreeBSD 9-
Summary: [MAINTAINER] x11-fonts/fira: Update to 4.103; fix `make extract` on FreeBSD 9-
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-06-15 00:24 UTC by Horia Racoviceanu
Modified: 2015-09-07 15:11 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (horia)


Attachments
fira.diff (3.96 KB, patch)
2015-06-15 00:24 UTC, Horia Racoviceanu
koobs: maintainer-approval+
Details | Diff
Build log: fira-4.103_10amd64.log (14.85 KB, text/plain)
2015-06-15 23:24 UTC, Horia Racoviceanu
no flags Details
Build log: fira-4.103_10i386.log (14.71 KB, text/plain)
2015-06-15 23:26 UTC, Horia Racoviceanu
no flags Details
Build log: fira-4.103_9amd64.log (14.93 KB, text/plain)
2015-06-15 23:27 UTC, Horia Racoviceanu
no flags Details
Build log: fira-4.103_9i386.log (14.78 KB, text/plain)
2015-06-15 23:28 UTC, Horia Racoviceanu
no flags Details
fira.diff (3.96 KB, patch)
2015-07-02 20:18 UTC, Horia Racoviceanu
no flags Details | Diff
fira-4.104_10amd64.log (14.80 KB, text/plain)
2015-07-02 20:19 UTC, Horia Racoviceanu
no flags Details
fira-4.104_10i386.log (14.65 KB, text/plain)
2015-07-02 20:19 UTC, Horia Racoviceanu
no flags Details
fira-4.104_9amd64.log (14.87 KB, text/plain)
2015-07-02 20:20 UTC, Horia Racoviceanu
no flags Details
fira-4.104_9i386.log (14.67 KB, text/plain)
2015-07-02 20:20 UTC, Horia Racoviceanu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Horia Racoviceanu 2015-06-15 00:24:51 UTC
Created attachment 157743 [details]
fira.diff

- Update to 4.103
- Patch `make extract` triggers make bug on FreeBSD 9-
  unzip: Failed to open '/portdistfiles//}'
- Rename MICRO_VERSION to MONO_VERSION

# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-15 06:11:47 UTC
Thanks for your submission Horia,

Please include additional QA results (as attachments) if possible:

 - poudriere testport (or bulk -t)
Comment 2 Horia Racoviceanu 2015-06-15 23:24:46 UTC
Created attachment 157780 [details]
Build log: fira-4.103_10amd64.log
Comment 3 Horia Racoviceanu 2015-06-15 23:26:36 UTC
Created attachment 157781 [details]
Build log: fira-4.103_10i386.log
Comment 4 Horia Racoviceanu 2015-06-15 23:27:16 UTC
Created attachment 157782 [details]
Build log: fira-4.103_9amd64.log
Comment 5 Horia Racoviceanu 2015-06-15 23:28:01 UTC
Created attachment 157783 [details]
Build log: fira-4.103_9i386.log
Comment 6 Horia Racoviceanu 2015-06-15 23:32:04 UTC
See also Bug 200455 (sister port)
Comment 7 Horia Racoviceanu 2015-07-02 20:18:34 UTC
Created attachment 158267 [details]
fira.diff

- Update to 4.104
- Patch `make extract` triggers make bug on FreeBSD 9-
  unzip: Failed to open '/portdistfiles//}'
- Rename MICRO_VERSION to MONO_VERSION

# portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

See also Bug 200455 (sister port)
Comment 8 Horia Racoviceanu 2015-07-02 20:19:32 UTC
Created attachment 158268 [details]
fira-4.104_10amd64.log
Comment 9 Horia Racoviceanu 2015-07-02 20:19:53 UTC
Created attachment 158269 [details]
fira-4.104_10i386.log
Comment 10 Horia Racoviceanu 2015-07-02 20:20:19 UTC
Created attachment 158270 [details]
fira-4.104_9amd64.log
Comment 11 Horia Racoviceanu 2015-07-02 20:20:55 UTC
Created attachment 158271 [details]
fira-4.104_9i386.log
Comment 12 commit-hook freebsd_committer 2015-09-07 15:11:42 UTC
A commit references this bug:

Author: robak
Date: Mon Sep  7 15:10:54 UTC 2015
New revision: 396276
URL: https://svnweb.freebsd.org/changeset/ports/396276

Log:
  x11-fonts/fira: update 4.102 -> 4.104

  - Unbreak on 9.x
  - Rename MICRO_VERSION to MONO_VERSION

  PR:		200864
  Submitted by:	Horia Racoviceanu <horia@racoviceanu.com> (maintainer)

Changes:
  head/x11-fonts/fira/Makefile
  head/x11-fonts/fira/distinfo
Comment 13 Bartek Rutkowski freebsd_committer 2015-09-07 15:11:59 UTC
Committed, thanks!